#ifndef _C_TMR_H_
#define _C_TMR_H_

#include "c_main.h"
#include "i_io.h"
#include "i_app.h"
#include "i_main.h"
#include "i_task.h"

#define TIMERCNT 8 //number how much timers are supported
#define PRESCALE       		256

#ifndef SYS_FREQ
	#error SYS_FREQ not defined
#endif
#ifndef PB_DIV
	#error PB_DIV not defined
#endif
#ifndef PRESCALE
	#error PRESCALE not defined
#endif

#define PR1_CONFIG	(SYS_FREQ/PB_DIV/PRESCALE/1000)
#define PR2_CONFIG	(SYS_FREQ/PB_DIV/PRESCALE/10000)

#define TMR1_FUNCTIONS()		isr_io1ms();\
					isr_app1ms();\
					isr_task1ms();\
					isr_main_1ms();\
					isr_io1ms();
#define TMR2_FUNCTIONS()		isr_app100us();
#define TMR3_FUNCTIONS()		;

#endif
