#include "global.h"
#include "init.h"
#include "i_init.h"
#include "w_init.h"
#include "w_tmr.h"
#include "w_isr.h"
#include "w_app.h"
#include "w_sleep.h"
#include "w_io.h"
#include "mal.h"
#include "w_task.h"
#include "c_app.h"

void init(void) {
	AD1PCFG = 0xFFFF;
	//DDPCONbits.JTAGEN = 0;	//!!!!  Tiltja a JTAG funkcit RAxx lbakon van

	init_task();

	init_tmr(); //this should be the first beceaus it clears registered timers.

	init_io();

	init_app();
	init_isr();
	init_sleep();
}
